.TH "G4_SRC_MAP" "3" "1" "Polhemus" "Polhemus G4Track Library"
.SH "NAME"
G4_SRC_MAP \- Source Position and Orientation Structure
.SH "SYNOPSIS"
#include "G4TrackIncl.h"
.br 

typedef struct _G4_SRC_MAP {
.br 
	int \fIid\fR;
.br 
	int \fIfreq\fR;
.br 
	float \fIpos\fR[3];
.br 
	float \fIatt\fR[4];
.br 
}\fB*LPG4_SRC_MAP,G4_SRC_MAP\fR;
.SH "DESCRIPTION"
This structure is used to retrieve position and orientation information about each of the sources active in the system.  One structure is required for each source.
.SH "STRUCTURE MEMBERS"
\fIid\fR:  This is the zero\-based id of the source.  It will be between 0 and 7 and corresponds to the order in which the source was placed in the source configuration file.
.br 

\fIfreq\fR:  This is the zero\-based frequency value, also between 0 and 7.  These values correspond to the A\-H frequency designators marked on the source themselves.  0\->A, 1\->B, 2\->C, etc.
.br 

\fIpos\fR: An array of three floats that correspond to the sources positional location.  The values are X, Y, and Z respectively in the units that the system has been configured.  Default is inches.
.br 

\fIatt\fR:  An array of three or four floats depending on the orientation configuration of the system.  If the orientation has been configured to Euler Degrees or Euler Radians, the array will hold three valid values that correspond to Azimuth (Yaw), Elevation (Pitch), and Roll respectively.  If the orientation has been configured to output quaternions, the array will hold four valid values corresponding to the four quaternion values.
.SH "AUTHOR"
James C. Farr <jimfarr@polhemus.com>
.SH "SEE ALSO"
\fBg4_init_sys\fR(3), \fBg4_set_query\fR(3), \fBg4_get_frame_data\fR(3), \fBg4_close_tracker\fR(3), \fBG4Track\fR(3), \fBG4_SENFRAMEDATA\fR(3), \fBG4_CMD_DATA_STRUCT\fR(3), \fBG4_CMD_STRUCT\fR(3), \fBG4_FRAMEDATA\fR(3), \fBG4_CMD_BLOCK_STRUCT\fR(3)
